/* cknatstr.c -- Copyright 1989 Liam R. Quin.  All Rights Reserved.
 * This code is NOT in the public domain.
 * See the file COPYRIGHT for full details.
 */

/* $Id: isdir.c,v 1.1 92/02/15 03:37:05 lee Exp $
 *
 * cknatstr - check that a string represents a natural number
 */

#include <ctype.h>

int
cknatstr(str)
    char *str;
{
    /* check that a string represents a positive or 0 number */
    register char *p = str;

    /* skip leading white space */
    while (isspace(*p)) p++;
    if (!*p) return 0;

    /* allow a leading sign */
    if (*p == '-' || *p == '+') p++;
    if (!*p) return 0;

    /* now skip digits... */
    while (isdigit(*p)) p++;

    return (p > str && *p == '\0');
}
